Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.extensions.url
Interface PortletContextSharingConfig.PublishConfig

Enclosing interface:
  PortletContextSharingConfig

    public static interface PortletContextSharingConfig.PublishConfig

The configuration of the portlet that defines how the portlet publishes shared context state.

Field Summary
`static java.lang.String` | `MODE_CURRENT_PAGE` The portlet publishes to the current page
`static java.lang.String` | `MODE_DYNAMIC` The portlet publishes to a page.
`static java.lang.String` | `MODE_NONE` The portlet does not publish
`static java.lang.String` | `MODE_PREDEFINED_PAGE` The portlet publishes to a page.

Method Summary
`java.lang.String` | `getMode()` Get the publish mode
`TargetPageConfig` | `getTargetPage()` Get the page that receives the published context

Field Detail

### MODE_NONE

    static final java.lang.String MODE_NONE

  The portlet does not publish

  See Also:
    Constant Field Values

### MODE_CURRENT_PAGE

    static final java.lang.String MODE_CURRENT_PAGE

  The portlet publishes to the current page

  See Also:
    Constant Field Values

### MODE_PREDEFINED_PAGE

    static final java.lang.String MODE_PREDEFINED_PAGE

  The portlet publishes to a page. The page is determined at the time of publishing

  See Also:
    Constant Field Values

### MODE_DYNAMIC

    static final java.lang.String MODE_DYNAMIC

  The portlet publishes to a page. The page is resolved dynamically.

  See Also:
    Constant Field Values

Method Detail

### getMode

    java.lang.String getMode()

  Get the publish mode

  Returns:
    The publish mode never `null`

### getTargetPage

    TargetPageConfig getTargetPage()

  Get the page that receives the published context

  Returns:
    The target publish page or `null` if the page is not determined yet e.g. when using the publish mode is `#MODE_PUBLISH_DYNAMIC` or if publishing is disabled `#MODE_PUBLISH_NONE`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD